summaryrefslogtreecommitdiffstats
path: root/scripts/osmo-deps.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/osmo-deps.sh')
-rwxr-xr-xscripts/osmo-deps.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/osmo-deps.sh b/scripts/osmo-deps.sh
new file mode 100755
index 0000000..95081bd
--- /dev/null
+++ b/scripts/osmo-deps.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if ! test -d $1;
+then
+ git clone git://git.osmocom.org/$1 $1
+fi
+
+cd $1
+git fetch origin
+git reset --hard origin/master